org.eclipse.modisco.java.composition.discoverer

## Class DiscoverKDMSourceAndJavaModelFromJavaProject

- java.lang.Object
- - org.eclipse.modisco.infra.discovery.core.AbstractDiscoverer<T>
  - - org.eclipse.modisco.infra.discovery.core.AbstractModelDiscoverer<T>
    - - org.eclipse.modisco.kdm.source.extension.discovery.AbstractComposedKDMSourceDiscoverer2<T>
      - - org.eclipse.modisco.java.composition.discoverer.AbstractDiscoverKDMSourceAndJavaModel<IJavaProject>
        - - org.eclipse.modisco.java.composition.discoverer.DiscoverKDMSourceAndJavaModelFromJavaProject

All Implemented Interfaces:
  IDiscoverer<IJavaProject>

    public class DiscoverKDMSourceAndJavaModelFromJavaProject
    extends AbstractDiscoverKDMSourceAndJavaModel<IJavaProject>

This Class provides a way of weaving a MoDisco Java Model with a MoDisco KDM Source one. Both models are discovered independently and then read to weave some instances like Archive, Compilation Unit ... See Help contents or http://wiki.eclipse.org/MoDisco/Components/Java/Composition

### Constructor Summary

Constructors
Constructor and Description
`DiscoverKDMSourceAndJavaModelFromJavaProject()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static ElementsToAnalyze` `getElementsToAnalyzeInitialValue(IJavaProject source)`
`boolean` `isApplicableTo(IJavaProject source)` To determine if the source object can be handled by the discoverer.

### Methods inherited from class org.eclipse.modisco.java.composition.discoverer.AbstractDiscoverKDMSourceAndJavaModel

`getCuToRegionsMap, getJavaAppModelResource, getJavaModel, getJavaModelResource, getKdmModel, getKdmSourceModelResource, getPackage2DirectoryResource, setDeepAnalysis, setElementsToAnalyze, setExcludedElementsRegEx, setIncludedElementsRegEx, setIncrementalMode, setLogJavaAnalysisWarnings`

### Methods inherited from class org.eclipse.modisco.infra.discovery.core.AbstractModelDiscoverer

`discoverElement, getDefaultTargetURI, getTargetModel, getTargetURI, setSerializeTarget, setTargetModel, setTargetURI`

### Methods inherited from class org.eclipse.modisco.infra.discovery.core.AbstractDiscoverer

`isAFolder, isAJavaProject, isAnIFileWithExtension, isAProject, setRefreshSourceBeforeDiscovery`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DiscoverKDMSourceAndJavaModelFromJavaProject

    public DiscoverKDMSourceAndJavaModelFromJavaProject()

### Method Detail

#### isApplicableTo

    public boolean isApplicableTo(IJavaProject source)

Description copied from interface: `IDiscoverer`
To determine if the source object can be handled by the discoverer. Each discoverer has to implement this method with its own criteria to filter the selected object.

Some usual implementations are proposed on `AbstractDiscoverer`.

Parameters:
  `source` - the selected object.
Returns:
  `true` if the selected object is managed by this discoverer, `false` otherwise.

#### getElementsToAnalyzeInitialValue

    @ParameterInitialValue(name="ELEMENTS_TO_ANALYZE")
    public static ElementsToAnalyze getElementsToAnalyzeInitialValue(IJavaProject source)